#!/bin/bash

while read note time; do

octave=3

case $note in
*0|*1|*2|*3|*4|*5|*6|*7|*8|*9)	octave=${note:(-1)}
				note=${note:0:$((${#note}-1))}
				;;
esac

note=${note/\#/s}

octave=$((octave-3))

case $note in
La	|A		) freq=440;;
Las	|As	|Bb	) freq=466;;
Si	|B		) freq=494;;
Do	|C		) freq=523;;
Dos	|Cs	|Db	) freq=554;;
Re	|D		) freq=587;;
Res	|Ds	|Eb	) freq=622;;
Mi	|E		) freq=659;;
Fa	|F		) freq=698;;
Fas	|Fs	|Gb	) freq=740;;
Sol	|G		) freq=784;;
Sols	|Gs	|Ab	) freq=831;;
P			) freq=0;;
esac

i=$octave
if [ $octave -gt 0 ]; then
	while [ $i -gt 0  ]; do
		freq=$((freq * 2))
		i=$((i-1))
	done
else
	while [ $i -lt 0  ]; do
		freq=$((freq / 2))
		i=$((i+1))
	done
fi

echo "$((time * 100)) $freq"

done
